Subject: RE: Asterisk expansion...
From: [email-masked] (Earnie Boyd)

31 Jul 1998 15:31:25 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked], Andrew Dalgleish <[email-masked]>

---Andrew Dalgleish <[email-masked]> wrote:
>
> 
> 
<snip>
> 
> When linked with SETARGV.OBJ, the arguments are globbed.
> When linked without SETARGV.OBJ, the arguments are NOT globbed.
> 
> Hence cmd/command do NOT do globbing for external commands
> 
> (Actually it is possible that globbing is done by the shell.
> E.g. the shell could peek into the .EXE to detect which version of
> SETARGV.OBJ was included.
> I don't think this is very likely, but then it is Microsoft... :-)
> 

It is also possible that cmd.exe/command.com does do the globbing and
that the default _setargv reads the command line and resets the argv
array.  I would do this if I had the MS compiler; but, try with this
sample code creating your own _setargv which simply does nothing
(maybe output a message so that you know that your _setargv was called).

Colin Peters and Jacob Navia, I hope you are reading this.  With the
startup code of Mingw32 or LCC is any default globbing done?

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".